;--- Authors : Marcus Liwicki, Artin Avanes
;--- Internal Register Definitions ---
   ;--- INCLUDE	"regdef12.inc"

;--- Register Definitions ---

DDRA:  EQU $0002
PORTA: EQU $0000
COPCTL: EQU $0016

;--- Memory Definitions ---
RAM_DATEN:	EQU $2000	;start of RAM variables
RAM_PROG:	EQU $3000
RAM_END:	EQU $3FFC

	ORG     RAM_DATEN
;--- RAM VARIABLES ---


	ORG     RAM_PROG	;start

	lds 	#RAM_END
	clr	COPCTL	;clear Watchdog
	movb 	#$FF,DDRA	;Port A Output

;Endlosschleife	
LE:
	pulx
	puly
	lds 	#RAM_END
	tfr	X, B
	tfr	Y, A
	sba			;(a-b->a)
	
	movb	#$01, PORTA
; Schleife, fr High- Signal
L1:	deca
	cmpa	#$00
	bne	L1
	
	movb	#$00, PORTA
; Schleife, fr Low- Signal
L2:	decb
	cmpb	#$00
	bne	L2
	jmp LE
	