;--- Authors : Marcus Liwicki, Artin Avanes
;--- Internal Register Definitions ---
   ;--- INCLUDE	"regdef12.inc"

;--- Register Definitions ---

DDRB:  EQU $0003
PORTB: EQU $0001
COPCTL: EQU $0016

;--- Memory Definitions ---
RAM_DATEN:	EQU $2000	    ;start of RAM variables
RAM_PROG:	EQU $3000
RAM_END:	EQU $4000

	ORG     RAM_DATEN
;--- RAM VARIABLES ---


	ORG     RAM_PROG		;start

	lds 	#RAM_END		;init SP, top or RAM.Application Note
	clr	    COPCTL			;clear Watchdog

	movb 	#$FF,DDRB		;PortB output
	ldaa	#$FF			;AkkuA initialisieren

L1:
	staa 	PORTB			;PortB output
	deca				    ; A um 1 erhoehen
        ldx #0
L2:	inx
	cpx #$FFFF
	bne L2 		
	jmp	    L1				