;--- Authors : Marcus Liwicki, Artin Avanes
;--- Internal Register Definitions ---
   ;--- INCLUDE	"regdef12.inc"

;--- Register Definitions ---

DDRB:  EQU $0003
PORTB: EQU $0001
PUCR:	EQU $000C
COPCTL: EQU $0016
DDRH:	EQU $002B
PORTH:	EQU $0029

;--- Memory Definitions ---
RAM_DATEN:	EQU $2000	    ;start of RAM variables
RAM_PROG:	EQU $3000
RAM_END:	EQU $4000

	ORG     RAM_DATEN
;--- RAM VARIABLES ---


	ORG     RAM_PROG		;start

	lds 	#RAM_END		;init SP, top or RAM.Application Note
	clr	    COPCTL			;clear Watchdog

	ldaa	PUCR			; Initialize PupH
	oraa	#$20			; set the 5th Bit
	staa	PUCR

	movb 	#$FF,DDRB		;PortB output
	movb	#$00,DDRH		;PortH input

L1:	ldaa	PORTH			;Load Value from PortH into accumulator a
	staa	PORTB			;store this value into PortB
	jmp	    L1				