;--- Authors : Marcus Liwicki, Artin Avanes
;--- Internal Register Definitions ---
   ;--- INCLUDE	"regdef12.inc"

;--- Register Definitions ---

DDRA:  EQU $0002
PORTA: EQU $0000
COPCTL: EQU $0016

;--- Memory Definitions ---
RAM_DATEN:	EQU $2000	;start of RAM variables
RAM_PROG:	EQU $3000
RAM_END:	EQU $4000

	ORG     RAM_DATEN
;--- RAM VARIABLES ---


	ORG     RAM_PROG	;start

	lds 	#RAM_END	;init SP, top or RAM.Application Note
	clr	    COPCTL	;clear Watchdog
	
	movb 	#$00,DDRA	;PortA input
	ldx	#$0000
	stx	RAM_DATEN	;Im Speicher an Adresse 2000 speichern wir unsere Zahl
	ldab 	PORTA
	anda	#$01
	tab

L1:	ldaa 	PORTA		;Load PortA
	anda	#$01
	cba
	beq 	L1		;Falls sich der Wert von A nicht verndert hat, dann zurck.
	tab			;Wir erhhen dadurch bei jedem Impuls um 2, doch das ist
				;eigentlich egal, es ist einfach unsere Konvention.
	inc	RAM_DATEN	;Den Wert im Speicher um 1 erhhen
	jmp	L1