;--- Authors : Marcus Liwicki, Artin Avanes
;--- Internal Register Definitions ---
   ;--- INCLUDE	"regdef12.inc"

;--- Register Definitions ---

DDRA:  EQU $0002
PORTA: EQU $0000
COPCTL: EQU $0016

;--- Memory Definitions ---
RAM_DATEN:	EQU $2000	;start of RAM variables
RAM_PROG:	EQU $3000
RAM_END:	EQU $3FFE

	ORG     RAM_DATEN
;--- RAM VARIABLES ---


	ORG     RAM_PROG	;start

	clr	    COPCTL	;clear Watchdog
	movb 	#$FF,DDRA	;Port A Output
	
L2:	
	movb	#$00,PORTA
	lds 	#RAM_END	;init SP, top or RAM.Application Note
	ldaa	#$64
	pulx
	movb	#$01,PORTA	
	
L1:	pshx
	deca
	bpl	L1
	jmp	L2
	end
       	
	
