;--- Authors : Marcus Liwicki, Artin Avanes
;--- Internal Register Definitions ---
   ;--- INCLUDE	"regdef12.inc"

;--- Register Definitions ---

PWCLK:	EQU	$0040	;Bit 3,4 und 5 bestimmen die Geschwindigkeit der Clock
PWPOL	EQU	$0041
COPCTL: EQU 	$0016
PWPER0:	EQU	$004C	;Periodendauer
PWDTY0:	EQU	$0050	;High-Zeit
PWEN:	EQU	$0042

;--- Memory Definitions ---
RAM_DATEN:	EQU $2000	;start of RAM variables
RAM_PROG:	EQU $3000
RAM_END:	EQU $3FFC

	ORG     RAM_DATEN
;--- RAM VARIABLES ---


	ORG     RAM_PROG	;start

	lds 	#RAM_END
	clr	COPCTL	;clear Watchdog
	movb	#$00, PWCLK
	movb	#$01, PWPOL; 	high at the beginning
	movb	#$FF, PWPER0;	Periodendauer 255
	movb	#$7F, PWDTY0;	Die Hlfte High
	movb	#$01, PWEN;	Aktivieren
L:	jmp L;

	