;--- Authors : Marcus Liwicki, Artin Avanes
;--- Internal Register Definitions ---
   ;--- INCLUDE	"regdef12.inc"

;--- Register Definitions ---

DDRA:  EQU $0002
PORTA: EQU $0000
DDRB:  EQU $0003
PORTB: EQU $0001
COPCTL: EQU $0016

;--- Memory Definitions ---
RAM_DATEN:	EQU $2000	;start of RAM variables
RAM_PROG:	EQU $3000
RAM_END:	EQU $4000

	ORG     RAM_DATEN
;--- RAM VARIABLES ---


	ORG     RAM_PROG	;start

	clr	COPCTL	;clear Watchdog
	movb 	#$00,DDRA	;Port A Input
	movb 	#$FF,DDRB	;Port B Output
	lds 	#RAM_END	;init SP, top or RAM.Application Note
	movb	#$FE, PORTB

; Schleife, bis Bit 0 an Port A gleich Null ist:       	
L1:	ldaa 	PORTA		;Load PortA
	anda	#$01
	bgt 	L1		;Solange in Bit 0 eine 1 steht, springe zurck
; Schleife, bis Bit 0 an Port A wieder 1 ist:       	
L2:	ldaa 	PORTA		;Load PortA
	anda	#$01
	ble 	L2		;Solange in Bit 0 eine 0 steht, springe zurck
; Schleife, bis Bit 0 an Port A wieder 0 ist:       	
L3:	ldaa 	PORTA		;Load PortA
	anda	#$01
	bgt 	L3		;Solange in Bit 0 eine 1 steht, springe zurck
	lsl	PORTB
	jmp	L1